OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESSolid

# IGESSolid_Array1OfVertexList Class Reference

`#include <IGESSolid_Array1OfVertexList.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESSolid_Array1OfVertexList (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESSolid_Array1OfVertexList (const Handle(IGESSolid_VertexList)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(IGESSolid_VertexList)&V)
Standard_EXPORT void | Destroy ()
| ~IGESSolid_Array1OfVertexList ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const IGESSolid_Array1OfVertexList & | Assign (const IGESSolid_Array1OfVertexList &Other)
const IGESSolid_Array1OfVertexList & | operator= (const IGESSolid_Array1OfVertexList &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESSolid_VertexList)&Value)
const Handle_IGESSolid_VertexList & | Value (const Standard_Integer Index) const
const Handle_IGESSolid_VertexList & | operator() (const Standard_Integer Index) const
Handle_IGESSolid_VertexList & | ChangeValue (const Standard_Integer Index)
Handle_IGESSolid_VertexList & | operator() (const Standard_Integer Index)
## Private Member Functions
Standard_EXPORT | IGESSolid_Array1OfVertexList (const IGESSolid_Array1OfVertexList &AnArray)
## Private Attributes
Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_Array1OfVertexList::IGESSolid_Array1OfVertexList | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESSolid_Array1OfVertexList::IGESSolid_Array1OfVertexList | ( | const Handle(IGESSolid_VertexList)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

IGESSolid_Array1OfVertexList::~IGESSolid_Array1OfVertexList | ( |  | ) | `[inline]`

Standard_EXPORT IGESSolid_Array1OfVertexList::IGESSolid_Array1OfVertexList | ( | const IGESSolid_Array1OfVertexList & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const IGESSolid_Array1OfVertexList& IGESSolid_Array1OfVertexList::Assign | ( | const IGESSolid_Array1OfVertexList & | Other | ) |

Handle_IGESSolid_VertexList& IGESSolid_Array1OfVertexList::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void IGESSolid_Array1OfVertexList::Destroy | ( |  | ) |

Standard_EXPORT void IGESSolid_Array1OfVertexList::Init | ( | const Handle(IGESSolid_VertexList)& | V | ) |

Standard_Boolean IGESSolid_Array1OfVertexList::IsAllocated | ( |  | ) | const

Standard_Integer IGESSolid_Array1OfVertexList::Length | ( |  | ) | const

Standard_Integer IGESSolid_Array1OfVertexList::Lower | ( |  | ) | const

void IGESSolid_Array1OfVertexList::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESSolid_Array1OfVertexList::operator new | ( | size_t | size | ) | `[inline]`

void* IGESSolid_Array1OfVertexList::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_IGESSolid_VertexList& IGESSolid_Array1OfVertexList::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_IGESSolid_VertexList& IGESSolid_Array1OfVertexList::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const IGESSolid_Array1OfVertexList& IGESSolid_Array1OfVertexList::operator= | ( | const IGESSolid_Array1OfVertexList & | Other | ) | `[inline]`

void IGESSolid_Array1OfVertexList::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESSolid_VertexList)& | Value
| ) |

Standard_Integer IGESSolid_Array1OfVertexList::Upper | ( |  | ) | const

const Handle_IGESSolid_VertexList& IGESSolid_Array1OfVertexList::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean IGESSolid_Array1OfVertexList::isAllocated`[private]`

Standard_Integer IGESSolid_Array1OfVertexList::myLowerBound`[private]`

Standard_Address IGESSolid_Array1OfVertexList::myStart`[private]`

Standard_Integer IGESSolid_Array1OfVertexList::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- IGESSolid_Array1OfVertexList.hxx